<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=57;

$codigo_usuario=$_POST["us"];

include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		
$id= $_POST["id"];
$nombre = $_POST["nombre"];
$inicio = $_POST["inicio"];
$inicio = $inicio[6]."".$inicio[7]."".$inicio[8]."".$inicio[9]."-".$inicio[3]."".$inicio[4]."-".$inicio[0]."".$inicio[1];
$final = $_POST["final"];
$final  = $final [6]."".$final[7]."".$final[8]."".$final[9]."-".$final[3]."".$final[4]."-".$final[0]."".$final[1];
$id_bodega=$_POST["lstbodega"];
if ($id_bodega=='') $id_bodega=0;
$id_familia=$_POST["lstfamilia"];
if ($id_familia=='') $id_familia=0;
$id_segmento=$_POST["lstsegmento"];
if ($id_segmento=='') $id_segmento=0;


if ($id!=0)
{
	$psql = "UPDATE descuento SET descripcion = '$nombre', fecha_inicio = '$inicio', fecha_final = '$final' , id_familia = $id_familia, id_segmento = $id_segmento, id_empresa = $id_empresa , id_bodega = $id_bodega WHERE id=$id";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Descuento <?=$nombre.'\nActualizado Con Exito!';?>");
parent.location.href = '';
</script>
<?
}
else
{
$cont=0;
$sql_busca = "SELECT * FROM descuento WHERE descripcion = '$nombre'";
$res_busca =  mysql_query($sql_busca, $enlace);		
while (mysql_fetch_object ($res_busca))
	{
	$cont+=1;
	}

if ($cont==0){
	$psql = "INSERT INTO descuento (descripcion, fecha_inicio, fecha_final, id_familia, id_segmento, id_empresa, id_bodega) VALUES ('$nombre', '$inicio', '$final', $id_familia, $id_segmento, $id_empresa, $id_bodega)";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Descuento <?=$nombre.'\nCreado Con Exito!';?>");
parent.location.href = '';
</script>
<?
	} else {
?>
<script language="javascript" type="text/javascript">
alert ("El descuento <?=$nombre.'\nya existe!';?>");
parent.location.href = '';
</script>
<?
	} 
}
?>